DevExtreme jQuery/JS - Enable Paging

Paging options are set in the DataSource: paginate enables paging; pageSize specifies how many data items a page should contain.

JavaScript
  • $(function() {
  • $("#lookupContainer").dxLookup({
  • dataSource: new DevExpress.data.DataSource({
  • store: /* A store is configured here */,
  • paginate: true,
  • pageSize: 10
  • }),
  • // ...
  • });
  • });

Lookup renders the next page once a user scrolls the item list to the bottom. If you set the pageLoadMode to "nextButton", Lookup renders the next page when a user clicks the Next button. You can change this button's text using the nextButtonText option:

JavaScript
  • $(function() {
  • $("#lookupContainer").dxLookup({
  • // ...
  • pageLoadMode: "nextButton",
  • nextButtonText: "More"
  • });
  • });

Local arrays and remote datasets loaded using the CustomStore in raw mode are only rendered page by page. In other cases, remote datasets are also loaded page by page if the server can partition data.

See Also

DevExtreme React - Enable Paging

Paging options are set in the DataSource: paginate enables paging; pageSize specifies how many data items a page should contain.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Lookup } from 'devextreme-react/lookup';
  • import DataSource from "devextreme/data/data_source";
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.dataSource = new DataSource({
  • store: /* A store is configured here */ ,
  • paginate: true,
  • pageSize: 10
  • });
  • }
  •  
  • render() {
  • return (
  • <Lookup ...
  • dataSource={dataSource}
  • />
  • );
  • }
  • }
  •  
  • export default App;

Lookup renders the next page once a user scrolls the item list to the bottom. If you set the pageLoadMode to "nextButton", Lookup renders the next page when a user clicks the Next button. You can change this button's text using the nextButtonText option:

  • import React from 'react';
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Lookup } from 'devextreme-react/lookup';
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <Lookup ...
  • pageLoadMode="nextButton"
  • nextButtonText="More"
  • />
  • );
  • }
  • }
  •  
  • export default App;

Local arrays and remote datasets loaded using the CustomStore in raw mode are only rendered page by page. In other cases, remote datasets are also loaded page by page if the server can partition data.

See Also

DevExtreme Vue - Enable Paging

Paging options are set in the DataSource: paginate enables paging; pageSize specifies how many data items a page should contain.

  • <template>
  • <DxLookup ...
  • :data-source="dataSource"
  • />
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxLookup } from 'devextreme-vue/lookup';
  • import DataSource from "devextreme/data/data_source";
  •  
  • export default {
  • components: {
  • DxLookup
  • },
  • data() {
  • return {
  • dataSource: new DataSource({
  • store: /* A store is configured here */ ,
  • paginate: true,
  • pageSize: 10
  • })
  • };
  • }
  • }
  • </script>

Lookup renders the next page once a user scrolls the item list to the bottom. If you set the pageLoadMode to "nextButton", Lookup renders the next page when a user clicks the Next button. You can change this button's text using the nextButtonText option:

  • <template>
  • <DxLookup ...
  • page-load-mode="nextButton"
  • next-button-text="More"
  • />
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxLookup } from 'devextreme-vue/lookup';
  •  
  • export default {
  • components: {
  • DxLookup
  • }
  • }
  • </script>

Local arrays and remote datasets loaded using the CustomStore in raw mode are only rendered page by page. In other cases, remote datasets are also loaded page by page if the server can partition data.

See Also

DevExtreme Angular - Enable Paging
Paging is used to load data in portions, which improves the widget's performance on large datasets. It is configured in the widget's DataSource. Enable paging by setting the paginate option to true, and specify the number of items per page using the pageSize option.
jQuery
$(function() {
$("#lookupContainer").dxLookup({
dataSource: new DevExpress.data.DataSource({
loadMode: "raw",
load: function () {
return $.getJSON('https://mydomain.com/MyDataService');
},
paginate: true,
pageSize: 5
}),
valueExpr: "Product_ID",
displayExpr: "Product_Name"
});
});Angular
import { ..., Inject } from '@angular/core';
import { Http, HttpModule } from '@angular/http';
import DataSource from 'devextreme/data/data_source';
import { DxLookupModule } from 'devextreme-angular';
import CustomStore from 'devextreme/data/custom_store';
import 'rxjs/add/operator/toPromise';
// ...
export class AppComponent {
lookupDataSource: any = {};
constructor(@Inject(Http) http: Http) {
this.lookupData = new DataSource({
store: new CustomStore({
loadMode: "raw",
load: function () {
return http.get('https://mydomain.com/MyDataService')
.toPromise()
.then(response => {
return response.json();
});
}
}),
paginate: true,
pageSize: 5
})
}
}
@NgModule({
imports: [
// ...
DxLookupModule
],
// ...
})
<dx-lookup
[dataSource]="lookupData"
valueExpr="Product_ID"
displayExpr="Product_Name">
</dx-lookup>The Lookup's default behavior is to load the next page once a user scrolls the item list to the bottom. If you set the pageLoadMode to "nextButton", the Lookup loads the next page when a user clicks the Next button. This button gets the text from the nextButtonText option.
jQuery
$(function() {
$("#lookupContainer").dxLookup({
// ...
pageLoadMode: "nextButton",
nextButtonText: "More"
});
});Angular
<dx-lookup ...
pageLoadMode="nextButton"
nextButtonText="More">
</dx-lookup>See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.